﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Microsoft.SharePoint.Client;

namespace MVC4Web.Controllers
{
    public class WelcomeController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult Message(string SPHostUrl, string SPLanguage, string SPAppWebUrl, string SPHostTitle)
        {
            using (ClientContext ctx = new ClientContext(SPAppWebUrl))
            {
                ctx.Load(ctx.Web, w => w.CurrentUser);
                ctx.ExecuteQuery();

                ViewBag.Message = "Hello " + ctx.Web.CurrentUser.Title;

            }

            return View();
        }
    }
}
